Groovy JDK

## primitive-types
Class int[]

Method Summary
`boolean` | `asBoolean()` Coerces an int array to a boolean value.
`Number` | `count(Object value)` Counts the number of occurrences of the given value inside this array.
`boolean` | `equals(int[] right)` Compare the contents of this array to the contents of the given array.
`Collection` | `flatten()` Flatten an array.
`List` | `getAt(Range range)` Support the subscript operator with a range for an int array
`List` | `getAt(IntRange range)` Support the subscript operator with an IntRange for an int array
`List` | `getAt(ObjectRange range)` Support the subscript operator with an ObjectRange for an int array
`List` | `getAt(Collection indices)` Support the subscript operator with a collection for an int array
`int` | `size()` Allows arrays to behave similar to collections.
`List` | `toList()` Converts this array to a List of the same size, with each element added to the list.
`String` | `toString()` Returns the string representation of the given array.

Method Detail

### asBoolean

    public boolean asBoolean()

  Coerces an int array to a boolean value. An int array is false if the array is of length 0, and true otherwise.

Returns:
  the array's boolean value

Since:
  1.7.4

### count

    public Number count(Object value)

  Counts the number of occurrences of the given value inside this array. Comparison is done using Groovy's == operator (using `compareTo(value) == 0` or `equals(value)` ).

Parameters:
  `value` - the value being searched for.

Returns:
  the number of occurrences

Since:
  1.6.4

### equals

    public boolean equals(int[] right)

  Compare the contents of this array to the contents of the given array.

Parameters:
  `right` - the operand array..

Returns:
  true if the contents of both arrays are equal.

Since:
  1.5.0

### flatten

    public Collection flatten()

  Flatten an array. This array and any nested arrays or collections have their contents (recursively) added to the new collection.

Returns:
  a flattened Collection

Since:
  1.6.0

### getAt

    public List getAt(Range range)

  Support the subscript operator with a range for an int array

Parameters:
  `range` - a range indicating the indices for the items to retrieve.

Returns:
  list of the ints at the given indices

Since:
  1.0

### getAt

    public List getAt(IntRange range)

  Support the subscript operator with an IntRange for an int array

Parameters:
  `range` - an IntRange indicating the indices for the items to retrieve.

Returns:
  list of the retrieved ints

Since:
  1.0

### getAt

    public List getAt(ObjectRange range)

  Support the subscript operator with an ObjectRange for an int array

Parameters:
  `range` - an ObjectRange indicating the indices for the items to retrieve.

Returns:
  list of the retrieved ints

Since:
  1.0

### getAt

    public List getAt(Collection indices)

  Support the subscript operator with a collection for an int array

Parameters:
  `indices` - a collection of indices for the items to retrieve.

Returns:
  list of the ints at the given indices

Since:
  1.0

### size

    public int size()

  Allows arrays to behave similar to collections.

Returns:
  the length of the array

Since:
  1.0

See:
  Array#getLength.

### toList

    public List toList()

  Converts this array to a List of the same size, with each element added to the list.

Returns:
  a list containing the contents of this array.

Since:
  1.0

### toString

    public String toString()

  Returns the string representation of the given array.

Returns:
  the string representation

Since:
  1.6.0

Groovy JDK